Subject: [tsv-area] Comments on draft-blake-ipv6-flow-label-nonce-01

From: Bob Briscoe <[email-masked]>
Date: Mon, 05 Jan 2009 00:40:44 +0000

Steve,

Yes, this was very much worth writing down. Thanks.

You mention multicast a few (3) times. I think you should point out 
that, if this were used to add entropy as a multicast transport 
nonce, an attacker might simply be able to join the multicast and 
just read the flow label. Then spoofing the flow label would be rather easy!

So you ought to say it's no use for multicast (similarly anycast) 
without some network layer access control :[ that stops 
non-authorised folks joining the multicast at all (e.g. admin scoping).

Bob

____________________________________________________________________________
Bob Briscoe, <[email-masked]>      Networks Research Centre, BT Research
B54/77 Adastral Park,Martlesham Heath,Ipswich,IP5 3RE,UK.    +44 1473 645196

---

From: Steven Blake <[email-masked]>
Date: Tue, 6 Jan 2009 18:40:52 -0500

> Yes, this was very much worth writing down. Thanks.

You're welcome.

> just read the flow label. Then spoofing the flow label would be rather easy!

Agreed.

> non-authorised folks joining the multicast at all (e.g. admin scoping).

Which in and of itself would mitigate spoofing (as would multicast RPF
checks, I think).

I'll fix this in the next rev.

Regards,

/////////////////////////////////////////////
Steven Blake       [email-masked]
Extreme Networks              +1 919-884-3211